ros-jazzy-swri-opencv-util (3.7.3-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 17 Sep 2024 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.7.2-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 15 Sep 2024 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.7.1-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.7.0-1bookworm) bookworm; urgency=high

  * Cleaning up package maintainer (#721 <https://github.com/swri-robotics/marti_common/issues/721>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.6.1-1bookworm) bookworm; urgency=high

  * Fixing Buildfarm Issues (#716 <https://github.com/swri-robotics/marti_common/issues/716>)
    * Cleaning up code to fix build farm errors
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Sun, 10 Sep 2023 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.6.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 21 Aug 2023 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.5.4-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 13 Aug 2023 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.5.3-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.5.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 29 May 2023 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.5.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 28 Nov 2022 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.5.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 10 Oct 2022 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.4.2-1bookworm) bookworm; urgency=high

  * Add Humble Support (#691 <https://github.com/swri-robotics/marti_common/issues/691>)
    * Adding Humble support based on @shrijitsingh99 PR in https://github.com/swri-robotics/marti_common/pull/685
  * Contributors: David Anthony, Shrijit Singh

 -- P. J. Reed <preed@swri.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.3.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 23 Nov 2020 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.3.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 18 Aug 2020 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.3.0-1bookworm) bookworm; urgency=high

  * Add GitHub Actions for CI (ROS2) (#586 <https://github.com/swri-robotics/marti_common/issues/586>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 14 Jul 2020 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.2.1-1bookworm) bookworm; urgency=high

  * ROS Foxy support (#582 <https://github.com/swri-robotics/marti_common/issues/582>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Jun 2020 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.2.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 12 May 2020 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.1.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 29 Mar 2020 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.0.5-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 09 Mar 2020 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.0.4-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Mar 2020 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.0.3-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.0.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.0.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-jazzy-swri-opencv-util (3.0.0-1bookworm) bookworm; urgency=high

  * ROS2 Dashing conversion (#549 <https://github.com/pjreed/marti_common/issues/549>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 07 Nov 2019 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.10.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 03 Sep 2019 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.9.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 22 May 2019 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.8.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 05 Feb 2019 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.7.3-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 02 Jan 2019 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.7.2-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 19 Dec 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.7.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 13 Dec 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.7.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 03 Dec 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.6.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 02 Nov 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.5.0-1bookworm) bookworm; urgency=high

  * Add function for fitting a rotation on 3D point correspondences. (#524 <https://github.com/swri-robotics/marti_common/issues/524>)
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Thu, 11 Oct 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.4.0-1bookworm) bookworm; urgency=high

  * Add function to blend two images with alpha channels. (#522 <https://github.com/swri-robotics/marti_common/issues/522>)
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Mon, 08 Oct 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.3.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 24 May 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.2.1-1bookworm) bookworm; urgency=high

  * Support ROS Melodic (#514 <https://github.com/swri-robotics/marti_common/issues/514>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 10 May 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.2.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 11 Feb 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.1.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 25 Jan 2018 16:00:00 -0000

ros-jazzy-swri-opencv-util (2.0.0-1bookworm) bookworm; urgency=high

  * Link in the "highgui" module for swri_opencv_util (#506 <https://github.com/swri-robotics/marti_common/issues/506>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sun, 17 Dec 2017 16:00:00 -0000

ros-jazzy-swri-opencv-util (1.2.0-1bookworm) bookworm; urgency=high

  * Add PerpendicularPlaneWithPoint RANSAC model (#487 <https://github.com/swri-robotics/marti_common/issues/487>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Thu, 12 Oct 2017 16:00:00 -0000

ros-jazzy-swri-opencv-util (1.1.0-1bookworm) bookworm; urgency=high

  * Implement RANSAC and least squares model fitting for 3d geometry (#479 <https://github.com/swri-robotics/marti_common/issues/479>)
  * Add missing cv_bridge dependency. (#480 <https://github.com/swri-robotics/marti_common/issues/480>)
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 30 Aug 2017 16:00:00 -0000

ros-jazzy-swri-opencv-util (1.0.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 01 Aug 2017 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.3.0-1bookworm) bookworm; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/swri-robotics/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 19 Jun 2017 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.2.4-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 10 Apr 2017 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.2.3-1bookworm) bookworm; urgency=high

  * Fix OpenCV dependencies for Kinetic build (#400 <https://github.com/swri-robotics/marti_common/issues/400>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 08 Dec 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.2.2-1bookworm) bookworm; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- P. J. Reed <preed@swri.org>  Tue, 06 Dec 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.2.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 22 Oct 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.2.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 20 Jun 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.1.5-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 12 May 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.1.4-1bookworm) bookworm; urgency=high

  * Fixed compile error when ros-indigo-opencv3 is installed (#307 <https://github.com/evenator/marti_common/issues/307>)
    * Fixed compile error when package ros-indigo-opencv3 is installed.
    swri_geometry_util uses wrong version of OpenCV when the package
    ros-indigo-opencv3 is installed. This patch fixes the issue.
    * Updated all CMakeFiles.txt to specify OpenCV version 2
    The find_package for OpenCV is now:
    ./swri_opencv_util/CMakeLists.txt:find_package(OpenCV 2 REQUIRED)
    ./swri_geometry_util/CMakeLists.txt:find_package(OpenCV 2 REQUIRED)
    ./swri_image_util/CMakeLists.txt:find_package(OpenCV 2)
    ./swri_transform_util/CMakeLists.txt:find_package(OpenCV 2 REQUIRED)
  * Contributors: Kim Mathiassen

 -- P. J. Reed <preed@swri.org>  Wed, 11 May 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.1.3-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Mar 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.1.2-1bookworm) bookworm; urgency=high

  * Mark some constructors explicit.
  * Refactor RANSAC matching code to use more matrix operations.
  * Fix bugs in FitRigidTransform2d.
    The main problem was that reshape was being incorrectly, causing the
    points to get shuffled around.  Once that was fixed, it was clear that
    the rotation should not be inverted.  Also added a comment to clarify
    the significance of the returned transform.
  * Contributors: Elliot Johnson, Marc Alban

 -- P. J. Reed <preed@swri.org>  Tue, 05 Jan 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.1.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 16 Nov 2015 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.1.0-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 28 Sep 2015 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.14-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 10 Apr 2017 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.13-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 22 Oct 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.12-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 13 Aug 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.11-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 12 May 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.10-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 11 May 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.9-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Mar 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.8-1bookworm) bookworm; urgency=high

  * Marks some constructors explicit.
  * Refactors RANSAC matching code to use more matrix operations.
  * Fixes bugs in FitRigidTransform2d.
    The main problem was that reshape was being used incorrectly, causing the
    points to get shuffled around.  Once that was fixed, it was clear that
    the rotation should not be inverted.  Also adds a comment to clarify
    the significance of the returned transform.
  * Contributors: Elliot Johnson, Marc Alban

 -- P. J. Reed <preed@swri.org>  Tue, 05 Jan 2016 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.7-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 17 Nov 2015 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.6-1bookworm) bookworm; urgency=high

  * Contributors: Kim Mathiassen

 -- P. J. Reed <preed@swri.org>  Mon, 16 Nov 2015 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.5-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 26 Sep 2015 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.4-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 26 Sep 2015 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.3-1bookworm) bookworm; urgency=high

  * Clean up dependencies
    Remove unneeded ones, add required ones not specified
  * Contributors: Jerry Towler

 -- P. J. Reed <preed@swri.org>  Fri, 25 Sep 2015 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.2-1bookworm) bookworm; urgency=high

  * Renames opencv_util package to swri_opencv_util. Refs #231 <https://github.com/swri-robotics/marti_common/issues/231>
  * Contributors: Edward Venator

 -- P. J. Reed <preed@swri.org>  Thu, 24 Sep 2015 16:00:00 -0000

ros-jazzy-swri-opencv-util (0.0.1-1bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 24 Sep 2015 16:00:00 -0000


